Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QMutex.RecursionMode

    java.lang.Object
      java.lang.Enum<QMutex.RecursionMode>
          com.trolltech.qt.core.QMutex.RecursionMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QMutex.RecursionMode>

Enclosing class:
  QMutex

    public static enum QMutex.RecursionMode

extends java.lang.Enum<QMutex.RecursionMode>
implements QtEnumerator

Press link for info on QMutex.RecursionMode

Enum Constant Summary
`NonRecursive` In this mode, a thread may only lock a mutex once.
`Recursive` In this mode, a thread can lock the same mutex multiple times and the mutex won't be unlocked until a corresponding number of `unlock` calls have been made.

Method Summary
`static QMutex.RecursionMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QMutex.RecursionMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QMutex.RecursionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NonRecursive

    public static final QMutex.RecursionMode NonRecursive

  In this mode, a thread may only lock a mutex once.

### Recursive

    public static final QMutex.RecursionMode Recursive

  In this mode, a thread can lock the same mutex multiple times and the mutex won't be unlocked until a corresponding number of `unlock` calls have been made.

Method Detail

### values

    public static final QMutex.RecursionMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QMutex.RecursionMode c : QMutex.RecursionMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QMutex.RecursionMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QMutex.RecursionMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD